@name@(1)

NAME
@name@ - CLI frontend for libjpiconv library

SYNOPSIS
@name@ [-cs] -f fromenc -t toenc [file]

@name@ -l

DESCRIPTION
Command line utility for libjpiconv library.

Converts the encoding of characters from file (or standard input) from one encoding to another and write the results to standard output.

To use standard input, specify "-" for file (or omit the parameter).
If the name for file starts with "-", the POSIX option delimiter "--" should be specified after the last option.

OPTIONS
The following options are supported:

-c  Omit any characters that are invalid in the input encoding (or cannot be represented in the output encoding) from the output.
    Without this option the conversion is aborted with error in such cases.

-f fromenc
    Identify input encoding.

-l  Print all supported fromenc and toenc values to standard output.

-s  Suppress error messages on standard error.
    Without this option an error message is printed on standard error for every input octet that was discarded.

-t toenc
    Identify output encoding.

EXIT STATUS
Zero on success or regular exit respectively.
All other values indicate an error.

STANDARDS
@name@ tries to comply with the following standards:

POSIX.1-2024

BUGS
No fallback to the encoding of the locale is supported by this implementation. This means that input and output encoding must always be specified explicitly.

SEE ALSO
jpic0_iconvstr(3), jpic0_print_codesets(3)